#!/bin/sh

func_link2item ()
{
	echo -n "<a href='http://$( cut -d' ' -f2 "/var/www/freifunk/vpn/connection-${ITEM}" )/cgi-bin-contact.html'>$ITEM</a>"
}

LIST_TASKS="$( ps ax |
	        grep ' ether tap' |
	         sed -n 's/.* vtund\[s\]: \(.*\) ether.*/\1/p'
)"

# ps ax | grep edge | sed -n 's/^.*edge.* -d \([a-zA-Z0-9]*\) .*/\1/p;q'

LIST_CONFIG="$( grep "^[a-z0-9A-Z]* {" /etc/vtund.conf |
                 cut -d' ' -f1 |
		  grep -v default
)"

COUNT=0
for ITEM in $LIST_CONFIG; do {

	PRE=""
	COUNT=$(( $COUNT + 1 ))
	[ $COUNT -lt 10 ] && PRE="0"

	if echo $LIST_TASKS | grep -q $ITEM ; then

		echo "<tr><td><small><tt>$PRE$COUNT</tt></small>.$( func_link2item $ITEM )</td><td bgcolor=chartreuse>&nbsp;</td></tr>"
	else
		AGE="$( /etc/init.d/vpn get_age $ITEM )"
		AGE="${AGE:=0}"
		[ "$AGE" -gt 999 ] && AGE="999"

		echo "<tr><td><small><tt>$PRE$COUNT</tt></small>.$ITEM</td><td bgcolor=crimson>~&nbsp;$AGE&nbsp;h</td></tr>"
	fi
} done

